/* construtor da classe */
function QuestionarioFluxo() {
    var self = this;

    $(".add-etapa").on("click", function(e){
        e.preventDefault();
        self.AddResposta();
    });

    $(document).on("click", ".excluir-etapa", function(e){
        e.preventDefault();
        if(confirm('Tem certeza que deseja excluir este item?')) {
            $(this).parents(".questionario-etapas").remove();
        }
    });

    $("#submit_button").click(function() {
        $(this).prop("disabled",true).parents("form").submit();
    });
}

QuestionarioFluxo.prototype.AddResposta = function(){
    var baseUrl = $("#baseUrl").val();
    $.post(baseUrl+'/index.php?r=questionariosFluxo/AddEtapa', {}, function (data) {
        $('.etapas').append(data);
    });
}
